appstream-util_0.7.12-1_amd64.deb


Advertisement

Description

appstream-util - Utility to work with AppStream metadata

Property Value
Distribution Debian Sid
Repository Debian Main amd64
Package name appstream-util
Package version 0.7.12
Package release 1
Package architecture amd64
Package type deb
Installed size 448 B
Download size 83.12 KB
Official Mirror ftp.br.debian.org
Description -

Alternatives

Package Version Architecture Repository
appstream-util_0.7.12-1_i386.deb 0.7.12 i386 Debian Main
appstream-util - - -

Requires

Name Value
libappstream-glib8 >= 0.7.10
libc6 >= 2.4
libgdk-pixbuf2.0-0 >= 2.22.0
libglib2.0-0 >= 2.46
libsoup2.4-1 >= 2.52

Replaces

Name Value
appdata-tools << 0.3.4

Download

Type URL
Binary Package appstream-util_0.7.12-1_amd64.deb
Source Package appstream-glib

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install appstream-util deb package:
    # sudo apt-get install appstream-util

Files

Path
/usr/bin/appstream-compose
/usr/bin/appstream-util
/usr/share/aclocal/appdata-xml.m4
/usr/share/aclocal/appstream-xml.m4
/usr/share/bash-completion/completions/appstream-util
/usr/share/doc/appstream-util/changelog.Debian.gz
/usr/share/doc/appstream-util/copyright
/usr/share/locale/ca/LC_MESSAGES/appstream-glib.mo
/usr/share/locale/cs/LC_MESSAGES/appstream-glib.mo
/usr/share/locale/da/LC_MESSAGES/appstream-glib.mo
/usr/share/locale/de/LC_MESSAGES/appstream-glib.mo
/usr/share/locale/en_GB/LC_MESSAGES/appstream-glib.mo
/usr/share/locale/es/LC_MESSAGES/appstream-glib.mo
/usr/share/locale/fi/LC_MESSAGES/appstream-glib.mo
/usr/share/locale/fr/LC_MESSAGES/appstream-glib.mo
/usr/share/locale/fur/LC_MESSAGES/appstream-glib.mo
/usr/share/locale/gl/LC_MESSAGES/appstream-glib.mo
/usr/share/locale/hu/LC_MESSAGES/appstream-glib.mo
/usr/share/locale/id/LC_MESSAGES/appstream-glib.mo
/usr/share/locale/it/LC_MESSAGES/appstream-glib.mo
/usr/share/locale/ko/LC_MESSAGES/appstream-glib.mo
/usr/share/locale/lt/LC_MESSAGES/appstream-glib.mo
/usr/share/locale/oc/LC_MESSAGES/appstream-glib.mo
/usr/share/locale/pl/LC_MESSAGES/appstream-glib.mo
/usr/share/locale/pt/LC_MESSAGES/appstream-glib.mo
/usr/share/locale/pt_BR/LC_MESSAGES/appstream-glib.mo
/usr/share/locale/ru/LC_MESSAGES/appstream-glib.mo
/usr/share/locale/sk/LC_MESSAGES/appstream-glib.mo
/usr/share/locale/sl/LC_MESSAGES/appstream-glib.mo
/usr/share/locale/sr/LC_MESSAGES/appstream-glib.mo
/usr/share/locale/sr@latin/LC_MESSAGES/appstream-glib.mo
/usr/share/locale/sv/LC_MESSAGES/appstream-glib.mo
/usr/share/locale/tr/LC_MESSAGES/appstream-glib.mo
/usr/share/locale/uk/LC_MESSAGES/appstream-glib.mo
/usr/share/locale/zh_CN/LC_MESSAGES/appstream-glib.mo
/usr/share/locale/zh_TW/LC_MESSAGES/appstream-glib.mo
/usr/share/man/man1/appstream-compose.1.gz
/usr/share/man/man1/appstream-util.1.gz

Changelog

2018-08-22 - Matthias Klumpp <mak@debian.org>
appstream-glib (0.7.12-1) unstable; urgency=medium
* New upstream version: 0.7.12
* Update .symbols file
* Bump standards version: No changes needed
2018-07-30 - Matthias Klumpp <mak@debian.org>
appstream-glib (0.7.10-1) unstable; urgency=medium
* New upstream version: 0.7.10
* Bump standards version: No changes needed
* Drop tests-Fix-gcab-executable-requirement.patch: No longer needed
* Update .symbols file
2018-03-16 - Jeremy Bicha <jbicha@debian.org>
appstream-glib (0.7.7-2) unstable; urgency=medium
* Team upload.
* Have libappstream-glib-dev depend on libsoup2.4-dev and libyaml-dev
to match pkgconfig file generated by meson >= 0.45. See bug 892956
2018-03-15 - Matthias Klumpp <mak@debian.org>
appstream-glib (0.7.7-1) unstable; urgency=medium
[ Matthias Klumpp ]
* New upstream version: 0.7.7
* Update Vcs-* URLs for switch to Salsa
* d/libappstream-glib8.symbols: Update symbols
* Switch to dh compat level 11
* d/copyright: Use secure URLs
[ Iain Lane ]
* New upstream version: 0.7.6
- Builds properly (Closes: #890893)
- Add support for release types
- Do not deference invalid lists when parsing invalid desktop files (LP:
#1744941)
- Fix an invalid read when using as_app_parse_data() from Python
- Never include '&' in attribute values
- Add as_app_parse_data()
- Add as_store_get_apps_by_provide()
- Add more GObject Introspection annotations for Python
- Support OARS v1.1 additions
- Use pngquant to make the application icons take up less space
* Fix meson options to drop 'enable', following upstream.
* debian/control: Bump json-glib version, following upstream.
* debian/libappstream-glib8.symbols: New symbols for these releases.
2017-11-09 - Matthias Klumpp <mak@debian.org>
appstream-glib (0.7.4-1) unstable; urgency=medium
* New upstream version 0.7.4
- Resolves test failure on i386 (Closes: #878311)
* Bump standards version: No changes needed
* Drop no-flatpak-default-origin-fallback.patch: Applied upstream
* Update .symbols file
2017-10-08 - Matthias Klumpp <mak@debian.org>
appstream-glib (0.7.2-1) unstable; urgency=medium
* New upstream version: 0.7.2
* Drop all patches (applied upstream) except for
tests-Fix-gcab-executable-requirement.patch, which was updated for the
current release
* no-flatpak-default-origin-fallback.patch: Don't assume Flatpak as
origin if no origin is set
* Bump standards version: No changes needed
2017-08-17 - Matthias Klumpp <mak@debian.org>
appstream-glib (0.7.1-2) unstable; urgency=medium
* Add conditionalize-speed-tests.patch: Don't run speed tests on slow
architectures (Closes: #870833)
* Add fix-tests.patch: Make tests work properly again
* Add prefer-metainfo.patch: Prefer the metainfo directory, instead of
defaulting to the legacy location
* Add relax-id-constraints.patch: Validate component ID according to the
specification, with relaxed constraints
2017-08-04 - Matthias Klumpp <mak@debian.org>
appstream-glib (0.7.1-1) unstable; urgency=medium
* New upstream version: 0.7.1
- Install appdata-xml.m4 (Closes: #870710)
* d/rules: Use fail-missing
* Refresh gcab patch
2017-08-03 - Matthias Klumpp <mak@debian.org>
appstream-glib (0.7.0-1) unstable; urgency=medium
[ Iain Lane ]
* New upstream version: 0.7.0
* tests-Fix-gcab-executable-requirement.patch: Replace with
latest version.
[ Matthias Klumpp ]
* Upload to unstable
* Drop appdata-tools transitional package
* Bump standards version: No changes needed
* Depend on gobject-introspection for GIR dh addon
[ Dan Nicholson ]
* debian/rules: Pass --with gir to calculate ${gir:Depends}
- Closes: #860836

See Also

Package Description
appstream_0.12.3-1_amd64.deb Software component metadata management
aprsdigi_3.10.0-2+b1_amd64.deb digipeater for APRS
aprx_2.9.0+dfsg-2_amd64.deb APRS Digipeater and iGate
apsfilter_7.2.6-1.3_all.deb Magic print filter with automatic file type recognition
apt-build_0.12.47_amd64.deb frontend to apt to build, optimize and install packages
apt-cacher-ng_3.2-1_amd64.deb caching proxy server for software repositories
apt-cacher_1.7.19_all.deb Caching proxy server for Debian/Ubuntu software repositories
apt-clone_0.4.1_all.deb Script to create state bundles
apt-config-auto-update_2.0.0-2_all.deb Apt configuration for automatic cache updates
apt-config-icons-hidpi_0.12.3-1_all.deb APT configuration snippet to enable HiDPI icon downloads
apt-config-icons-large-hidpi_0.12.3-1_all.deb APT configuration snippet to enable large HiDPI icon downloads
apt-config-icons-large_0.12.3-1_all.deb APT configuration snippet to enable large icon downloads
apt-config-icons_0.12.3-1_all.deb APT configuration snippet to enable icon downloads
apt-cudf_5.0.1-11+b1_amd64.deb CUDF solver integration for APT
apt-dater-host_1.0.1-1_all.deb host helper application for apt-dater
Advertisement
Advertisement